<!--<h3>Primero cargue las coordenadas</h3>
<button style="margin: 50px; padding: 10px" type="button" class="btn btn-primary" (click)="openPopup()">Cargar coordenadas
</button>
-->
<div class="modal" tabindex="-1" role="dialog" [ngStyle]="{'display':displayStyle}">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Llenado de coordenadas a certificar</h4>
            </div>
            <div class="modal-body">
                <div class="rounded border border-2 w-100 p-4 mt-4">
                    <div class="row mt-4 justify-content-center">
                        <form [formGroup]="miFormulario_Coordenada">
                            <div class="d-flex flex-wrap mt-4">
                                <div class="col-md-3 px-2">
                                    <mat-form-field class="w-100" appearance="fill">
                                        <mat-label>Coordenada X</mat-label>
                                        <input matInput formControlName="valorx" />
                                    </mat-form-field>
                                </div>
                                <div class="col-md-3 px-2">
                                    <mat-form-field class="w-100" appearance="fill">
                                        <mat-label>Coordenada Y</mat-label>
                                        <input matInput formControlName="valory" />
                                    </mat-form-field>
                                </div>
                                <button (click)="addCoordenada()">Adicionar</button>
                                <button (click)="delCoordenada()">Quitar</button>
                            </div>

                            <table class="default">
                                <thead>
                                    <tr>
                                        <th> Vertice </th>
                                        <th> Coodenada X </th>
                                        <th> Coordenada Y </th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr *ngFor="let row of Coordenadas ;  let i = index">
                                        <td>
                                            <span>{{i+1}}</span>

                                        </td>
                                        <td>
                                            <span>{{ row.x }}</span>
                                        </td>
                                        <td>
                                            <span>{{ row.y }}</span>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>

                            <button class="btn btn-success" (click)="pintarPoligono()">Coordenadas Completas</button>

                        </form>
                    </div>
                </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger" (click)="closePopup()">
          Cerrar
        </button>
            </div>
        </div>
    </div>
</div>
<mat-stepper [linear]="isLinear" #stepper>
    <mat-step [stepControl]="firstFormGroup" label="Ubique el lugar para certificar">
        <form [formGroup]="FormGroupBusqueda">
            <!--<ng-template matStepLabel>Ubique el lugar para certificar</ng-template>-->
            <mat-drawer-container class="example-container" autosize>
                <mat-drawer id="drawer" #drawer position="end" mode="side">
                    <div class="d-flex flex-column px-3">
                        <div class="d-flex justify-content-end">
                            <button (click)="drawer.toggle()" mat-icon-button>
                                <mat-icon>arrow_forward</mat-icon>
                            </button>
                            <div class="d-flex justify-content-end">
                                <!--<button style="margin: 50px; padding: 10px" type="button" class="btn btn-primary" (click)="openPopup()">Cargar coordenadas
            
                                </button>-->
                                <button (click)="openPopup()" id="cargar_capa" class="d-none"></button>
                            </div>
                        </div>
                        <div class="my-2">
                            <b>Buscar</b>
                        </div>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Distrito</mat-label>
                            <input formControlName="busdm" matInput />
                        </mat-form-field>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>UV</mat-label>
                            <input formControlName="busuv" matInput />
                        </mat-form-field>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Manzana</mat-label>
                            <input formControlName="busmz" matInput />
                        </mat-form-field>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Lote</mat-label>
                            <input formControlName="buslt" matInput />
                        </mat-form-field>
                        <div class="d-flex justify-content-between">
                            <button mat-button class="boton-buscar" (click)="buscarGeografico()">Buscar</button>
                            <button mat-button class="boton-limpiar" (click)="limpiarGeografico()">Limpiar</button>
                        </div>
                    </div>
                    <div class="d-flex flex-column px-3">
                        <div class="my-2">
                            <b>Buscar por coordenadas</b>
                        </div>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>X</mat-label>
                            <input formControlName="busx" matInput />
                        </mat-form-field>
                        <mat-form-field class="w-100" appearance="fill">
                            <mat-label>Y</mat-label>
                            <input formControlName="busy" matInput />
                        </mat-form-field>
                        <div class="d-flex justify-content-between">
                            <button mat-button class="boton-buscar" (click)="buscarCoordenada()">Buscar</button>
                            <button mat-button class="boton-limpiar" (click)="limpiarCoordenada()">Limpiar</button>
                        </div>
                    </div>
                </mat-drawer>
                <!--<div id="map" name="map" style="height: 70vh" leaflet (leafletMapReady)="onMapReady($event)" (leafletClick)="agregarMarcadorJurisdiccion($event)" [leafletOptions]="options"></div>-->
                <div id="map" name="map" style="height: 70vh" leaflet (leafletMapReady)="onMapReady($event)" [leafletOptions]="options"></div>
            </mat-drawer-container>
            <button (click)="drawer.toggle()" id="sidebar" class="d-none"></button>

            <div>
                <br />
                <div class="d-flex justify-content-center">
                    <!--<button mat-button matStepperNext>Siguiente</button>-->
                    <button mat-button (click)="irSiguiente($event)">Siguiente</button>
                </div>
            </div>
        </form>
    </mat-step>

    <!--<mat-step [stepControl]="secondFormGroup" label="Datos del lugar">
        <div class="rounded border border-2 w-100 p-4 mt-4">
            <form [formGroup]="miFormulario_Jurisdiccion">
                <div class="row mt-4 justify-content-center">
                    <div class="col-md-9">
                        <div class="row mb-3">
                            <mat-form-field class="w-100" appearance="fill">
                                <mat-label>Superficie según mensura</mat-label>
                                <input formControlName="superficiemensura" matInput />
                            </mat-form-field>
                            <mat-form-field class=" w-100" appearance="fill">
                                <mat-label>Unidad vecinal</mat-label>
                                <input formControlName="uv" matInput />
                            </mat-form-field>
                            <mat-form-field class="w-100" appearance="fill">
                                <mat-label>Manzana</mat-label>
                                <input formControlName="manzana" matInput />
                            </mat-form-field>
                            <mat-form-field class="w-100" appearance="fill">
                                <mat-label>Lote</mat-label>
                                <input formControlName="lote" matInput />
                            </mat-form-field>
                            <mat-form-field class="w-100" appearance="fill">
                                <mat-label>Coordenada Latitud</mat-label>
                                <input formControlName="coordenada_latitud" matInput />
                            </mat-form-field>
                            <mat-form-field class="w-100" appearance="fill">
                                <mat-label>Coordenada Longitud</mat-label>
                                <input formControlName="coordenada_longitud" matInput />
                            </mat-form-field>
                            <!--<mat-form-field class="w-100" appearance="fill">
                                <mat-label>Polígono</mat-label>
                                <input formControlName="poligono" matInput />
                            </mat-form-field>-->
    <!--     </div>
                    </div>

                    <div class="d-flex justify-content-between">
                        <button mat-button matStepperPrevious>Anterior</button>
                        <button mat-button (click)="irSiguiente($event)">Siguiente</button>
                        <!--matStepperNext-->
    <!-- </div>
                </div>
            </form>
        </div>
    </mat-step>-->

    <mat-step>
        <ng-template matStepLabel>Pago del trámite</ng-template>

        <div class="d-flex justify-content-center w-100 ">
            <div class="d-flex align-items-center w-75 flex-column justify-content-center ">
                <div class="w-40 more-rounded verde ">
                    <div class="w-100 d-flex justify-content-center align-items-center flex-column p-5 ">
                        <div class="my-3 pb-3 text-xl "><img class="w-100 " src="./assets/QR/lgamscr.png " alt=" " /></div>
                        <img class="w-100" src="{{'data:image/png;base64,'+base64}}" width="150" height="150">
                    </div>
                    <div class="w-100 py-5 px-3 text-center font-bold azul-front gris text-xl ">
                        Escanea. Paga. Y listo.
                    </div>
                    <div class="col text-center">
                        <button class="btn btn-primary center-block" (click)="Pagar()"> Pagar </button>
                    </div>
                </div>
                <div class="w-50 gris ">&nbsp;</div>
            </div>
        </div>

        <!-- <div class="card-header ">
      <div class="card border-white text-white bg-white "></div>
      <div class="w-50 rounded verde d-flex flex-column p-5 ">
        <img
          src="https://upload.wikimedia.org/wikipedia/commons/d/d7/Commons_QR_code.png "
          alt=" "
        />
      </div> -->
        <!-- <img
        class="mx-auto d-block "
        src="./assets/QR/qr_img.png "
        alt="Card image cap "
      /> -->
        <!-- <div class="card-body "></div>
      <div class="card-footer ">
        <div class="container-fluid h-100 ">
          <div class="row w-100 ">
            <div class="col text-center ">
              <button class="btn btn-primary center-block ">Pagar</button>
            </div>
          </div>
        </div>
      </div>
    </div> -->

        <div class="d-flex justify-content-between ">
            <button mat-button matStepperPrevious>Back</button>
            <button mat-button (click)="stepper.reset() ">Reset</button>
        </div>
    </mat-step>
</mat-stepper>